Skip to main content
GET
/
api
/
v1
/
merchants
Bayileri listele
curl --request GET \
  --url https://identity-sandbox.payven.com.tr/api/v1/merchants \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "legal_name": "<string>",
      "external_id": "<string>",
      "tax_id": "<string>",
      "tax_office": "<string>",
      "bkm_member_id": "<string>",
      "email": "<string>",
      "contact_phone": "<string>",
      "city": "<string>",
      "district": "<string>",
      "address": "<string>",
      "url": "<string>",
      "default_mcc": "<string>",
      "default_mcc_category": "<string>",
      "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "parent_name": "<string>",
      "is_active": true,
      "created": "2023-11-07T05:31:56Z",
      "last_modified": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

include_inactive
boolean
parent_id
string<uuid>
city
string
status
enum<string>
Available options:
pending,
approved,
rejected
only_with_children
boolean
start_date
string<date-time>
end_date
string<date-time>
page
integer<int32>
page_size
integer<int32>
search_term
string

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
has_previous_page
boolean
read-only
has_next_page
boolean
read-only